/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File ViewArea.h */
/* This is the public include file for the ViewArea widget. */

#ifndef _ORAViewArea_h
#define _ORAViewArea_h

#include <X11/Core.h>

/* We define the resource names for the ViewArea widget */
#define XtNviewWidth "viewWidth"
#define XtNviewHeight "viewHeight"

/* Now the resource class names */
#define XtCViewWidth "ViewWidth"
#define XtCViewHeight "ViewHeight"

/* The structure passed to the callbacks */
typedef struct {
  int x;
  int y;
  XEvent *event;
  String *params;
  Cardinal *num_params;
} ViewAreaNotifyInfo;

/* Three functions which manipulate ViewArea widgets */
extern Pixmap ViewAreaGetViewPixmap(Widget w);
extern void ViewAreaRedrawRegion(Widget w,int x1,int y1,int x2,int y2);

/* The class structure */
extern WidgetClass viewAreaWidgetClass;

/* The class and instance record types */
typedef struct _ViewAreaClassRec *ViewAreaWidgetClass;
typedef struct _ViewAreaRec      *ViewAreaWidget;

#endif /* not _ORAViewArea_h */
