/*Here is the description of data struture in C according to the rules"*/
#define NB_TECH 16


typedef struct obj_action_s{
  obj_action_t s;
  int type;
  long int modifier;
  } obj_action_t;


/* obj_s is the common part between an object and a creature*/
typedef struct obj_s{
  char a_type;
  char b_type;
  char c_type;
  uni_obj *next;
/* next is a pointer toward the next object in the memory*/
  uni_obj *content;
/* content is a pointer toward the first object inside the object
 * in order to describe the content of a bag*/
  uni_obj *brother;    
/* brother is a pointer toward the next object on the same level 
 * inside an object*/
  int lev;
  long int x,y;
  char flags;
/* flags describe specific states of the object (as hidden...)*/
  long int maxlife;
  long int life;
  long int maxmana;
  long int mana;
} obj_t;

/* ext_obj_s serve to describe more precisely specific object
 * as magical ones */
typedef struct ext_obj_s{
  char tech;
} ext_obj_t;

/* creature_s will serve to describe more precisely specific creatures
 * as PC and NPC */
typedef struct creature_s{
  int Pui,Ab,Men,Para;
  int Act,Res,Per,Des;
  int Ani,Veg,Min,Hum,Mec,Mag;
  char tech[NB_TECH];
  char modifier[4][4][6];
} creature_t;



typedef union {
  obj_t o;
  ext_obj_t e;
  creature_t c;
  } uni_obj_t;

