/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File legendes.c */
/* This file is the main program! */

#include <stdio.h>
#include <pthread.h>

#include <guile/gh.h>

#include "lgd0.h"
#include "lgdlib.h"

#include "server.h"
#include "input.h"
#include "pixmaps.h"
#include "output.h"
#include "legendes.h"

int argc;
char **argv;

void
init(void)
{
  lgd_randomize();
  init_10_server();
  init_20_input();
  init_30_pixmaps();
  init_35_icons();
  init_40_output();
}

void
inner_main(int i_argc,char **i_argv)
{
  argc=i_argc;
  argv=i_argv;
  init();
  pthread_create(&server_thread,NULL,server_main,NULL);
  pthread_create(&output_thread,NULL,output_main,NULL);
  input_thread=pthread_self();
  input_main(NULL);
}

int
main(int argc,char **argv)
{
  gh_enter(argc,argv,inner_main);
  return 1;
}
